Subject: RTFR: Read The F* RFCs

From: "Rahmat M. Samik-Ibrahim" <[email-masked]>
Date: Sat, 21 Aug 1999 21:34:16 +0800

Hello:

I have just updated the RTFR (Read the Fine RFCs) pages at

- http://www.vlsm.org/gnm/in-rfc.html or
- http://gtm.nawala.net/in-rfc.html   or 
- http://www.geocities.com/ResearchTriangle/Lab/1491/in-rfc.html

It is a list about 130 RFCs which IMHO are interesting. It 
has an abstract plus URL for each RFC. For example, page
http://gtm.nawala.net/in-rfc1.html has brief information
of these following RFCs:

- RFC-2500: Internet Official Protocol Standards 
- RFC-2135: Internet Society By-Laws 
- RFC-2134: Articles of Incorporation of Internet Society 
- RFC-1601: Charter of the Internet Architecture Board (IAB) 
- RFC-1358: Charter of the Internet Architecture Board (IAB) 
- RFC-1160: Internet Activities Board 
- RFC-2282: IAB and IESG Selection Confirmation, and Recall 
            Process 
- RFC-2031: IETF-ISOC relationship 
- RFC-1640: The Process for Organization of Internet Standards 
- RFC-1396: The Process for Organization of Internet Standards 
- RFC-2026: The Internet Standards Process -- Revision 3 
- RFC-1871: Addendum to RFC 1602 -- Variance Procedure 
- RFC-2028: The Organizations Involved in the IETF Standards 
- RFC-2418: IETF Working Group Guidelines and Procedures 
- RFC-1718: The Tao of IETF - A Guide for New Attendees of the 
            Internet Engineering Task Force 
- RFC-1336: Who's Who in the Internet: Biographies of IAB, IESG 
            and IRSG Members 
- RFC-1251: Who's Who in the Internet: Biographies of IAB, IESG 
            and IRSG Members 
- RFC-2014: IRTF Research Group Guidelines and Procedures 
- RFC-2436: Collaboration between ISOC/IETF and ITU-T 
- RFC-1690: Introducing the Internet Engineering and Planning 
            Group (IEPG) 
- RFC-2360: Guide for Internet Standards Writers 
- RFC-2223: Instructions to RFC Authors 
- RFC-2119: Key words for use in RFCs to Indicate Requirement 
- RFC-1796: Not All RFCs are Standards 
- RFC-2555: 30 Years of RFCs 
- RFC-1818: Best Current Practices 
- RFC-1311: Introduction to the STD Notes 
- RFC-1150: FYI on FYI: Introduction to the FYI Notes 
- RFC-2434: Guidelines for Writing an IANA Considerations Section in RFCs 
- RFC-30:   Documentation Conventions 

===================================================================

Eg. RFC-30 (Crocker, 1970) is interesting, because it gives an idea 
on why each RFC has a "Network Working Group" at the top left corner 
instead of "IETF". It is perhaps, IMHO, an evidence that the 
RFC-Editor is not and should not be a subordinate of the IESG.

Fortunately, BCP-9 (RFC-2026) in section 4.2.2 about Informational 
RFCs, supports the idea that "Informational Publication" is for 
everyone in the Internet community. However, it seems that not 
many using BCP-9 when arguing about "what should be published 
as an RFC".

===================================================================

Anyway, "visibility" is still missing in the IETF realm. It is not
so easy to use the IETF main page ( http://www.ietf.org ) as a
starting point to find out about what is going on.

- IETF-Announcements
  Unfortunately, it is "hiding" under mailing-list (archive) at
  http://www.ietf.org/mail-archive/ietf-announce/maillist.html
  Moreover, the list is dominated by too many "I-D Actions".
- The IETF Monthly Report (IMR)
  This is basically an excellent digest of IETF-Announcement.
  How on disk, can anyone guess that this IMR is in the IESG
  directory at http://www.ietf.org/imr.html ?
- STD-1 (http://www.isi.edu/in-notes/std/std1.txt)
  It is not easy to find out that STD-1 is the most important
  standard list.

regards,

-- 
- Rahmat M. Samik-Ibrahim VLSM-TJT --  http://www.vlsm.org/rms46/ -
- Dear Abbey: My CrashGuard 98 often crashes, what should I do? -m-